netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
generic_mb.c File Reference
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <arpa/inet.h>`
`#include <atalk/unicode.h>`
`#include <atalk/logger.h>`
`#include <atalk/byteorder.h>`
`#include "generic_mb.h"`

## Functions
size_t | mb_generic_push (int(*char_func)(unsigned char *, ucs2_t), void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
size_t | mb_generic_pull (int(*char_func)(ucs2_t *, const unsigned char *), void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)

## Function Documentation

## ◆ mb_generic_pull()

size_t mb_generic_pull | ( | int(* | char_func )(ucs2_t *, const unsigned char *),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )

## ◆ mb_generic_push()

size_t mb_generic_push | ( | int(* | char_func )(unsigned char *, ucs2_t),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )